<?php
//Active CDR statistics :
$enable_record_to_cdr = false;


//Common Languages en variantes
//http://www.w3.org/International/articles/language-tags/
//
// language-Script-REGION-variant-extension-privateuse
//
//The entries in the registry follow certain conventions with regard to upper and
//lowercasing - for example, language tags are lower case, alphabetic region subtags
//are upper case, and script tags begin with an initial capital. This is only a
//convention! When you use these subtags you are free to do as you like.


//default tts engine is the first in this tts array :
$tts = array();

$tts['microsoft'] = array(
    'name'              => 'microsoft',
    'call'              => 'ttsmicrosoft',
    'options'           => array(
        '"MICROSOFT_API_LOGIN"',
        '"MICROSOFT_API_KEY"',
        '"MICROSOFT_API_ENDPOINT"',
        '"MICROSOFT_APP_NAME"',
        '$text',
        '$voice',
        '$filename',
        '$iformat',
        '$lang'
    ),
    'voices'            => array(
        'Hoda' => array(
           'type' => 'female',
           'desc' => 'Arabic Female',
           'voptions' => array('lang' => 'ar-EG')
        ),
        'Naayf' => array(
            'type' => 'male',
            'desc' => 'Arabic Male',
            'voptions' => array('lang' => 'ar-SA')
        ),
        'Ivan' => array(
            'type' => 'male',
            'desc' => 'Bulgarian Male',
            'voptions' => array('lang' => 'bg-BG')
        ),
        'HerenaRUS' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'ca-ES')
        ),
        'Jakub' => array(
            'type' => 'male',
            'desc' => 'Czech Male',
            'voptions' => array('lang' => 'cs-CZ')
        ),
        'HelleRUS' => array(
            'type' => 'female',
            'desc' => 'Danish Female',
            'voptions' => array('lang' => 'da-DK')
        ),
        'Michael' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-AT')
        ),
        'Karsten' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-CH')
        ),
        'Hedda' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'HeddaRUS' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'Stefan, Apollo' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
        'Stefanos' => array(
            'type' => 'male',
            'desc' => 'Greek Male',
            'voptions' => array('lang' => 'el-GR')
        ),
        'Catherine' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'HayleyRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'Linda' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-CA')
        ),
        'HeatherRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-CA')
        ),
        'Susan, Apollo' => array(
            'type' => 'female',
            'desc' => 'UK Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'HazelRUS' => array(
            'type' => 'female',
            'desc' => 'UK Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'George, Apollo' => array(
            'type' => 'male',
            'desc' => 'UK Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'Sean' => array(
            'type' => 'male',
            'desc' => 'English Male',
            'voptions' => array('lang' => 'en-IE')
        ),
        'Heera, Apollo' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'PriyaRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'Ravi, Apollo' => array(
            'type' => 'male',
            'desc' => 'English Male',
            'voptions' => array('lang' => 'en-IN')
        ),
        'ZiraRUS' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'JessaRUS' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'BenjaminRUS' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'Laura, Apollo' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'HelenaRUS' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'Pablo, Apollo' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-ES')
        ),
        'HildaRUS' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-MX')
        ),
        'Raul, Apollo' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-MX')
        ),
        'HeidiRUS' => array(
            'type' => 'female',
            'desc' => 'Finnish Female',
            'voptions' => array('lang' => 'fi-FI')
        ),
        'Caroline' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'HarmonieRUS' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'Guillaume' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-CH')
        ),
        'Julie, Apollo' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'HortenseRUS' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'Paul, Apollo' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'Asaf' => array(
            'type' => 'male',
            'desc' => 'Hebrew Male',
            'voptions' => array('lang' => 'he-IL')
        ),
        'Kalpana, Apollo' => array(
            'type' => 'female',
            'desc' => 'Hindi Female',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'Kalpana' => array(
            'type' => 'female',
            'desc' => 'Hindi Female',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'Hemant' => array(
            'type' => 'male',
            'desc' => 'Hindi Male',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'Matej' => array(
            'type' => 'male',
            'desc' => 'Croatian Male',
            'voptions' => array('lang' => 'hr-HR')
        ),
        'Szabolcs' => array(
            'type' => 'male',
            'desc' => 'Hungarian Male',
            'voptions' => array('lang' => 'hu-HU')
        ),
        'Andika' => array(
            'type' => 'male',
            'desc' => 'Indonesian Male',
            'voptions' => array('lang' => 'id-ID')
        ),
        'Cosimo, Apollo' => array(
            'type' => 'male',
            'desc' => 'Italian Male',
            'voptions' => array('lang' => 'it-IT')
        ),
        'Ayumi, Apollo' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'Ichiro, Apollo' => array(
            'type' => 'male',
            'desc' => 'Japanese Male',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'HarukaRUS' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'LuciaRUS' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'EkaterinaRUS' => array(
            'type' => 'male',
            'desc' => 'Japanese Male',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'HeamiRUS' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
        'Rizwan' => array(
            'type' => 'male',
            'desc' => 'Malay Male',
            'voptions' => array('lang' => 'ms-MY')
        ),
        'NAME' => array(
            'type' => 'SEX',
            'desc' => 'IDIOM SEX',
            'voptions' => array('lang' => 'CODE')
        ),
        'HuldaRUS' => array(
            'type' => 'female',
            'desc' => 'Norwegian Female',
            'voptions' => array('lang' => 'nb-NO')
        ),
        'HannaRUS' => array(
            'type' => 'female',
            'desc' => 'Dutch Female',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'PaulinaRUS' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'HeloisaRUS' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'Daniel, Apollo' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'HeliaRUS' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'Andrei' => array(
            'type' => 'male',
            'desc' => 'Romanian Male',
            'voptions' => array('lang' => 'ro-RO')
        ),
        'Irina, Apollo' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'Pavel, Apollo' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'Filip' => array(
            'type' => 'male',
            'desc' => 'Slovak Male',
            'voptions' => array('lang' => 'sk-SK')
        ),
        'Lado' => array(
            'type' => 'male',
            'desc' => 'Slovenian Male',
            'voptions' => array('lang' => 'sl-SI')
        ),
        'HedvigRUS' => array(
            'type' => 'female',
            'desc' => 'Swedish Female',
            'voptions' => array('lang' => 'sv-SE')
        ),
        'Valluvar' => array(
            'type' => 'male',
            'desc' => 'Tamil Male',
            'voptions' => array('lang' => 'ta-IN')
        ),
        'Pattara' => array(
            'type' => 'male',
            'desc' => 'Thai Male',
            'voptions' => array('lang' => 'th-TH')
        ),
        'SedaRUS' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'An' => array(
            'type' => 'male',
            'desc' => 'Vietnamese Male',
            'voptions' => array('lang' => 'vi-VN')
        ),
        'HuihuiRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'Yaoyao, Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'Kangkang, Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'Tracy, Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'TracyRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'Danny, Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'Yating, Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-TW')
        ),
        'HanHanRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-TW')
        ),
        'Zhiwei, Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-TW')
        )

    ),
    'langcodes'         => array(
        'ar-EG'     => array('Hoda'),
        'ar-SA'     => array('Naayf'),
        'bg-BG'     => array('Ivan'),
        'ca-ES'     => array('HerenaRUS'),
        'cs-CZ'     => array('Jakub'),
        'da-DK'     => array('HelleRUS'),
        'de-AT'     => array('Michael'),
        'de-CH'     => array('Karsten'),
        'de-DE'     => array('Hedda', 'HeddaRUS', 'Stefan, Apollo'),
        'el-GR'     => array('Stefanos'),
        'en-AU'     => array('Catherine', 'HayleyRUS'),
        'en-CA'     => array('Linda', 'HeatherRUS'),
        'en-GB'     => array('Susan, Apollo', 'HazelRUS', 'George, Apollo'),
        'en-IE'     => array('Sean'),
        'en-IN'     => array('Heera, Apollo', 'PriyaRUS', 'Ravi, Apollo'),
        'en-US'     => array('ZiraRUS', 'JessaRUS', 'BenjaminRUS'),
        'es-ES'     => array('Laura, Apollo', 'HelenaRUS', 'Pablo, Apollo'),
        'es-MX'     => array('HildaRUS', 'Raul, Apollo'),
        'fi-FI'     => array('HeidiRUS'),
        'fr-CA'     => array('Caroline', 'HarmonieRUS'),
        'fr-CH'     => array('Guillaume'),
        'fr-FR'     => array('Julie, Apollo', 'HortenseRUS', 'Paul, Apollo'),
        'he-IL'     => array('Asaf'),
        'hi-IN'     => array('Kalpana, Apollo', 'Kalpana', 'Hemant'),
        'hr-HR'     => array('Matej'),
        'hu-HU'     => array('Szabolcs'),
        'id-ID'     => array('Andika'),
        'it-IT'     => array('Cosimo, Apollo'),
        'ja-JP'     => array('Ayumi, Apollo', 'Ichiro, Apollo', 'HarukaRUS', 'LuciaRUS', 'EkaterinaRUS'),
        'ko-KR'     => array('HeamiRUS'),
        'ms-MY'     => array('Rizwan'),
        'nb-NO'     => array('HuldaRUS'),
        'nl-NL'     => array('HannaRUS'),
        'pl-PL'     => array('PaulinaRUS'),
        'pt-BR'     => array('HeloisaRUS', 'Daniel, Apollo'),
        'pt-PT'     => array('HeliaRUS'),
        'ro-RO'     => array('Andrei'),
        'ru-RU'     => array('Irina, Apollo', 'Pavel, Apollo'),
        'sk-SK'     => array('Filip'),
        'sl-SI'     => array('Lado'),
        'sv-SE'     => array('HedvigRUS'),
        'ta-IN'     => array('Valluvar'),
        'th-TH'     => array('Pattara'),
        'tr-TR'     => array('SedaRUS'),
        'vi-VN'     => array('An'),
        'zh-CN'     => array('HuihuiRUS', 'Yaoyao, Apollo', 'Kangkang, Apollo'),
        'zh-HK'     => array('Tracy, Apollo', 'TracyRUS', 'Danny, Apollo'),
        'zh-TW'     => array('Yating, Apollo', 'HanHanRUS', 'Zhiwei, Apollo')
    ),
    'charsets'          => array('UTF-8'),
    'codecs'            => array(
        '0' => 'mp3',
        '1' => 'wav'
    ),
    'iformats'          => array('mp3', 'wav'),
    'vxiformats'        => array(
        'mp3' => array('iformat' => 'mp3', 'codec' => '0'),
        'wav' => array('iformat' => 'wav', 'codec' => '1')
    ),
    "formatiscodec"     => false,
    "createlistfile"    => false,
    "directphpfunction" => true,
    "debugargs"         => "",
    "checks"            => array("ttsmicrosoft", "curl_setopt"),
    "simexeclimit"      => "0",
);

// vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

